4 Replies to “A fix for sudden Lua errors in pkg”

  1. This issue is caused by the inconsistency between DPorts (freebsd ports as well) and pkg(8).

    When upgrade pkg from 1.14.x to 1.15.x or 1.16.x, pkg will first remove the df-latest.conf if it’s the same as df-latest.conf.sample, and after installing the new version, pkg will recreate the df-latest.conf from df-latest.conf.sample, but this step fails due to the Lua error. So the final symptom is that df-latest.conf gets wiped.

    After upgrading to pkg 1.15.x or 1.16.x, this Lua error won’t occur.

  2. Eric – when we have an update for DRM, though I haven’t talked to Francois recently to see how it is going.

    (I am making some assumptions here)

Comments are closed.

Mentions

  • Justin Sherrill